diff -ur linux/drivers/char/nvram.c linux-new/drivers/char/nvram.c
--- linux/drivers/char/nvram.c	Fri Oct 29 14:52:31 1999
+++ linux-new/drivers/char/nvram.c	Fri Oct 29 15:05:17 1999
@@ -349,7 +349,7 @@
 }
 
 
-#ifdef CONFIG_PROC_FS
+#ifndef CONFIG_PROC_FS
 static int nvram_read_proc( char *buffer, char **start, off_t offset,
 							int size, int *eof,
 							void *data) {}
@@ -360,8 +360,8 @@
 {
 	unsigned long flags;
 	unsigned char contents[NVRAM_BYTES];
-    int i, len = 0;
-    off_t begin = 0;
+	int i, len = 0;
+	off_t begin = 0;
 	
 	save_flags(flags);
 	cli();
@@ -371,12 +371,12 @@
 	
 	*eof = mach_proc_infos( contents, buffer, &len, &begin, offset, size );
 
-    if (offset >= begin + len)
+	if (offset >= begin + len)
 		return( 0 );
-    *start = buffer + (begin - offset);
-    return( size < begin + len - offset ? size : begin + len - offset );
-	
+	*start = buffer + (begin - offset);
+	return( size < begin + len - offset ? size : begin + len - offset );
 }
+#endif /* CONFIG_PROC_FS */
 
 /* This macro frees the machine specific function from bounds checking and
  * this like that... */
@@ -390,8 +390,6 @@
 			*len = 0;									\
 		}												\
 	} while(0)
-
-#endif /* CONFIG_PROC_FS */
 
 static struct file_operations nvram_fops = {
 	nvram_llseek,
diff -ur linux/drivers/char/nvram.h linux-new/drivers/char/nvram.h
--- linux/drivers/char/nvram.h	Fri Oct 29 15:06:22 1999
+++ linux-new/drivers/char/nvram.h	Fri Oct 29 15:06:02 1999
@@ -12,7 +12,6 @@
 extern void nvram_write_byte( unsigned char c, int i );
 extern int nvram_check_checksum( void );
 extern void nvram_set_checksum( void );
-extern int nvram_init( void );
 #endif
 
 #endif  /* _LINUX_NVRAM_H */
